Skip to main content
Resource Center/Network Resource/Hardware SDN Controller Operations
PUTHardware SDN Controller OperationsSince 3.7.0SynchronousAuth Required

UpdateSdnController

UpdateSdnController

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The resource UUID.

Body Fields

  • updatesdncontrollerObjectRequired

    updatesdncontroller request body object.

    • nameString

      Optional. The resource name.

    • descriptionString

      Optional. The detailed description of the resource.

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • successbooleanRequired

    操作是否成功。

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, see error.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

  • inventorySdnControllerInventoryRequired

    See inventory.

    • uuidStringRequired

      The resource UUID.

    • vendorTypeStringRequired

      No description provided.

    • vendorVersionStringRequired

      The vendor version

    • nameStringRequired

      The resource name.

    • descriptionStringRequired

      The detailed description of the resource.

    • ipStringRequired

      来源IP地址。

    • usernameStringRequired

      用户名。

    • passwordStringRequired

      密码。

    • createDateTimestampRequired

      The creation date.

    • lastOpDateTimestampRequired

      The last operation date.

    • statusSdnControllerStatusRequired

      See status.

      • ConnectingSdnControllerStatusRequired

        Connecting.

      • ConnectedSdnControllerStatusRequired

        Connected.

      • DisconnectedSdnControllerStatusRequired

        Disconnected.

Endpoint

PUT/zstack/v1/sdn-controllers/{uuid}/actions

/zstack/v1/sdn-controllers/{uuid}/actions

Operation ID

UpdateSdnController

Permalink

Request Example

curl -X PUT 'http://{host}/zstack/v1/sdn-controllers/{uuid}/actions' -H 'Authorization: OAuth {sessionUuid}' -H 'Content-Type: application/json;charset=UTF-8' -d '{"updatesdncontroller":{"name":"<name>","description":"<description>"},"systemTags":["<systemTags>"],"userTags":["<userTags>"]}'

Response Example

200
{ "inventory": { "uuid": "722428da8bac30d2b75daa2f6cd34e9d", "vendorType": "H3C VCFC", "name": "sdn-1", "description": "sdn controller from vendor", "ip": "192.168.1.1", "username": "admin", "password": "password" } }

Change History

This API has no change history records yet.

View all change history